Tracking Info API:
Description: Fetches shipment tracking and scan history.
Basic Information
| NAME | DETAILS |
|---|---|
| Usage: | Mandatory |
| URL: | https://api.rapidshyp.com/rapidshyp/apis/v1/b2b/orders/get_tracking_info |
| Request Type: | POST |
| Scheme: | HTTPS |
| Header (content-type): | application/json |
| Header (rapidshyp-token): | API-Key |
Curl
curl --location 'https://api.rapidshyp.com/rapidshyp/apis/v1/b2b/orders/get_tracking_info'
--header 'rapidshyp-token: <API_KEY>'
--header 'Content-Type: application/json'
--data '{
"awb": "2011458"
"shipmentID":""
}'
Request Parameters:
| Parameter | Required | Remark | Validation |
|---|---|---|---|
| awb | Conditional | AWB number | awb or shipmentID |
| shipmentID | Conditional | Shipment ID | awb or shipmentID |
Response:
JSON
{
"success": true,
"msg": "Fetched successfully.",
"data": [
{
"order_id": "BO5675",
"order_date": "08-05-2026 18:53:58",
"store_name": "DEFAULT",
"payment_type": "PREPAID",
"is_to_pay": false,
"appointment_based_delivery": true,
"billing_as_shipping": true,
"shipping_address": {
"name": "B2B order",
"mobile_number": "9999998888",
"address_line_1": "b2b order address line 1 updated",
"pincode": "110001",
"city": "NEW DELHI",
"state": "DELHI",
"country": "INDIA"
},
"billing_address": {
"name": "B2B order",
"mobile_number": "9999998888",
"address_line_1": "b2b order address line 1 updated",
"pincode": "110001",
"city": "NEW DELHI",
"state": "DELHI",
"country": "INDIA"
},
"invoices": [
{
"shipment_id": "BS26051",
"pickup_location_name": "Bhavik",
"invoice_number": "INV123",
"invoice_date": "08-05-2026 05:30:01",
"invoice_value": 4000.0,
"prepaid_amount": 4000.0,
"collectable_amount": 0.0,
"total_shipment_boxes": null,
"shipment_dead_weight": 25000.0,
"eway_bill_number": "",
"invoice_document": "",
"shipment_status": "PICKUP_SCHEDULED",
"current_tracking_status_code": "PCN",
"current_tracking_status_desc": "Pickup Cancelled",
"awb_assigned_date": "08-05-2026 20:12:48",
"awb": "2011458",
"box_awb_list": [
"20114580001",
"20114580002",
"201145830003",
"201145830004",
"201145830005",
"201145830006",
"201145830007"
],
"courierCode": 3001,
"courierName": "Ekart B2B",
"parent_courier_name": "EKART",
"appliedWeight": 25000.0,
"applied_freight": 1817.94,
"tracking_url": "https://app.rapidshyp.com/t/2011458",
"track_scans": [
{
"scan": "Order registered",
"scan_datetime": "08-05-2026 20:12:48",
"scan_location": "MH_BNL",
"rapidshyp_status_code": "SCB"
},
{
"scan": "Order cancelled",
"scan_datetime": "11-05-2026 09:18:04",
"scan_location": "MH_BNL",
"rapidshyp_status_code": "PCN"
}
],
"item_lines": [
{
"product_name": "pen",
"sku": "PEN123",
"number_of_boxes": 4,
"dead_weight_per_box": 4000.0,
"price_per_box": 0.0
},
{
"product_name": "bag",
"sku": "BAG213",
"number_of_boxes": 3,
"dead_weight_per_box": 3000.0,
"price_per_box": 0.0
}
],
"delivered_date": null,
"rto_delivered_date": null,
"edd": null,
"rto_warehouse_name": "Bhavik",
"mps_label_url": "https://storage.googleapis.com/rapidshyp-live/seller_labels/Label_2011458_1778483.pdf",
"master_label_url": "https://storage.googleapis.com/rapidshyp-live/seller_labels/Label_65e7f3ba8bbe48_11May26_12_45_51_384PM.pdf"
}
],
"order_status": "PROCESSING",
"created_date": "08-05-2026 18:53:58"
}
]
}